Difference between revisions of "Frequently Asked Questions"

From cchtml.com
Jump to: navigation, search
m (removed spam)
Line 1: Line 1:
erchitroce
 
 
==Installation==
 
==Installation==
 
===How do I know fglrx is installed correctly?===
 
===How do I know fglrx is installed correctly?===

Revision as of 10:53, 11 October 2007

Installation

How do I know fglrx is installed correctly?

There are several ways to check if fglrx is loaded and running.
1. Check your X.org or XFree86 log. You should see "DRI Initialization Successful."

# less /var/log/Xorg.0.log
or
# less /var/log/XFree86.0.log

2. Check glxinfo. You should see "direct" and not "indirect."

# glxinfo | grep direct

3. Check your kernel log. You should see fglrx messages near the bottom.

# dmesg

4. Check your modules. You should see fglrx loaded.

# lsmod | grep fglrx
  • NOTE: glxgears is not a definite way of checking the installation of fglrx.

Is the rebooting really necessary?

No.

However, rebooting is the easiest method to ensure that the kernel module(s) from the old driver are unloaded and the fglrx module is loaded instead. If you don't want to reboot for some reason, you may manually shut down Xorg, unload any old "drm", "radeon" or "fglrx" modules and then start Xorg again.

Kernel

Why does fglrx not work for my bleeding-edge kernel?

The development process of the fglrx driver and the Linux kernel are not on the same level. The fglrx driver requires some special interactions with the kernel memory API and these tend to change between kernel versions.

There is also an 11-12 week cycle required to develop, validate and test each release of an ATI driver [1]. ATI will only look to support the latest kernel that is officially out (no -rc or -git releases are supported) at the time they release a driver. Example: fglrx version A comes out Monday, but kernel version B comes out Tuesday. Kernel version B is not supported by fglrx version A. (but might be able to work anyway by doing a 'modprobe -f fglrx' in a shell)

The binary part of ATI's kernel module has no explicit dependency on the Linux kernel. There are a set of source files that provide the glue to the kernel. This is where the dependency to different kernels exist. As a result, user contributed patches for newer kernels can often be found by searching Bugzilla.

X Configuration

Composite Extension

If you've enabled transparency, and you've added the Composite extension to the xorg.conf file, the ATI driver will disable DRI.

The only way to use 3D and the ATI OpenGL drivers is commenting the Option "Composite" "Enable" line.

It may be necessary to put the following lines into xorg.conf:

   Section "Extensions"
         Option      "Composite" "Disable"
   EndSection

Troubleshooting

See Also

References